<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<!-- <title>Trustonic Tests: 00100_tlApiGenerateKeyPair</title> -->
<img align="right" width="300" src="TrustonicLogo.jpg">
</br>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.7.2 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul class="tablist">
      <li><a href="main.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<h1>00100_tlApiGenerateKeyPair<br/>
<small>
[<a class="el" href="group___s_e_c_u_r_e___a_p_i___c_r_y_p_t_o.html">Secure_API_Crypto</a>]</small>
</h1>  </div>
</div>
<div class="contents">

<p><b>Involved Components and their required Functionality</b>  
<a href="#_details">More...</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="func-members"></a>
Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____t_l_a_p_i_g_e_n_e_r_a_t_e_k_e_y_p_a_i_r.html#gaf3f5b3def4e52d4b49e3b1bc86335217">TestCase_GC00100_Rsa512Bit</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____t_l_a_p_i_g_e_n_e_r_a_t_e_k_e_y_p_a_i_r.html#gabc1a910027089678b39efccdbc4b1b7a">TestCase_BC00100_TooShortBuffer512Bits_PrivateE</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">defined(WIN32) || defined(INCLUDE_UNRECONCILED_TESTS)  <a href="#gabc1a910027089678b39efccdbc4b1b7a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____t_l_a_p_i_g_e_n_e_r_a_t_e_k_e_y_p_a_i_r.html#gada059b14edcae56f11c493cd8b8728ce">TestCase_GC00100_Rsa1024Bit</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____t_l_a_p_i_g_e_n_e_r_a_t_e_k_e_y_p_a_i_r.html#gab7f5beb43fd8c87851f4a717d4fd86ab">TestCase_BC00100_TooShortBuffer1024Bits_PrivateE</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____t_l_a_p_i_g_e_n_e_r_a_t_e_k_e_y_p_a_i_r.html#ga2841b40246a378a8b419d85432441486">TestCase_BC00100_TooShortBuffer1024Bits_PrivateMod</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____t_l_a_p_i_g_e_n_e_r_a_t_e_k_e_y_p_a_i_r.html#gac1ab2275b06f3e3f16aca57c7bdb6ea9">TestCase_GC00100_Rsa2048Bit</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____t_l_a_p_i_g_e_n_e_r_a_t_e_k_e_y_p_a_i_r.html#ga32ccbc27489f3cc39f4dce5ee0c7b8bd">TestCase_BC00100_TooShortBuffer2048Bits_PrivateE</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____t_l_a_p_i_g_e_n_e_r_a_t_e_k_e_y_p_a_i_r.html#gaf3574f131bbc70dd3e1c92318f4dd93c">TestCase_BC00100_TooShortBuffer_PublicModulus</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____t_l_a_p_i_g_e_n_e_r_a_t_e_k_e_y_p_a_i_r.html#gafb73e4f5ccfd63dc9c25f3eb662ab561">TestCase_BC00100_TooShortBuffer_PublicExponent</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____t_l_a_p_i_g_e_n_e_r_a_t_e_k_e_y_p_a_i_r.html#ga1923dac5da5be0afb3f29e22abec4657">TestCase_BC00100_TooShortBuffer_PublicE</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____t_l_a_p_i_g_e_n_e_r_a_t_e_k_e_y_p_a_i_r.html#gaa6c15e9c54d501dfc88369d22c4b2bca">TestCase_BC00100_ZeroValueIn_PublicE</a> ()</td></tr>
</table>
<hr/><a name="_details"></a><h2>Detailed Description</h2>
<p><b>Involved Components and their required Functionality</b> </p>
<ol type="1">
<li>ClientLib<ol type="a">
<li>Can connect to daemon</li>
<li>Can reserve memory for connection</li>
</ol>
</li>
<li>McDriverDaemon<ol type="a">
<li>Daemon running</li>
<li>Daemon socket accessible by TLC</li>
<li>mcOpenDevice()</li>
</ol>
</li>
<li>McDriverModule<ol type="a">
<li>Module loaded</li>
<li>Module socket accessible by daemon</li>
<li>Module listens for connection</li>
</ol>
</li>
<li>Trusted Application TlIntegrationTest<ol type="a">
<li>Trusted Application copied to Android on Test device in registry as 05010000000000000000000000000000.trst</li>
<li>Trusted Application runnable and bug-free </li>
</ol>
</li>
</ol>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="gaf3f5b3def4e52d4b49e3b1bc86335217"></a><!-- doxytag: member="00100_tlApiGenerateKeyPair.cpp::TestCase_GC00100_Rsa512Bit" ref="gaf3f5b3def4e52d4b49e3b1bc86335217" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00100_Rsa512Bit </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>05010000000000000000000000000000 </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>Involved components running and functioning </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>tlApiGenerateKeyPair </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>TLC makes Trusted Application call an tlApiGenerateKeyPair RSA for 512 bit key. </dd></dl>
<dl class="user"><dt><b>Verification:</b></dt><dd>Function returns TLAPI_OK.<br/>
 Test output is OK. </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>Secure_API_Crypto.00100_tlApiGenerateKeyPair.GC00100_Rsa512Bit </dd></dl>

</div>
</div>
<a class="anchor" id="gabc1a910027089678b39efccdbc4b1b7a"></a><!-- doxytag: member="00100_tlApiGenerateKeyPair.cpp::TestCase_BC00100_TooShortBuffer512Bits_PrivateE" ref="gabc1a910027089678b39efccdbc4b1b7a" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_BC00100_TooShortBuffer512Bits_PrivateE </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>defined(WIN32) || defined(INCLUDE_UNRECONCILED_TESTS) </p>
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>Involved components running and functioning </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>tlApiGenerateKeyPair </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>Call tlApiGenerateKeyPair RSA 1024 bit with too short buffer for private exponent. </dd></dl>
<dl class="user"><dt><b>Verification:</b></dt><dd>Function returns E_TLAPI_CR_WRONG_OUPUT_SIZE.<br/>
 Test output is OK. </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>Secure_API_Crypto.00100_tlApiGenerateKeyPair.BC00100_TooShortBuffer512Bits_PrivateE </dd></dl>

</div>
</div>
<a class="anchor" id="gada059b14edcae56f11c493cd8b8728ce"></a><!-- doxytag: member="00100_tlApiGenerateKeyPair.cpp::TestCase_GC00100_Rsa1024Bit" ref="gada059b14edcae56f11c493cd8b8728ce" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00100_Rsa1024Bit </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>Involved components running and functioning </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>tlApiGenerateKeyPair </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>TLC makes Trusted Application call an tlApiGenerateKeyPair RSA for 1024 bit key. </dd></dl>
<dl class="user"><dt><b>Verification:</b></dt><dd>Function returns TLAPI_OK.<br/>
 Test output is OK. </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>Secure_API_Crypto.00100_tlApiGenerateKeyPair.GC00100_Rsa1024Bit </dd></dl>

</div>
</div>
<a class="anchor" id="gab7f5beb43fd8c87851f4a717d4fd86ab"></a><!-- doxytag: member="00100_tlApiGenerateKeyPair.cpp::TestCase_BC00100_TooShortBuffer1024Bits_PrivateE" ref="gab7f5beb43fd8c87851f4a717d4fd86ab" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_BC00100_TooShortBuffer1024Bits_PrivateE </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>Involved components running and functioning </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>tlApiGenerateKeyPair </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>Call tlApiGenerateKeyPair RSA 1024 bit with too short buffer for private exponent. </dd></dl>
<dl class="user"><dt><b>Verification:</b></dt><dd>Function returns E_TLAPI_CR_WRONG_OUPUT_SIZE.<br/>
 Test output is OK. </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>Secure_API_Crypto.00100_tlApiGenerateKeyPair.BC00100_TooShortBuffer1024Bits_PrivateE </dd></dl>

</div>
</div>
<a class="anchor" id="ga2841b40246a378a8b419d85432441486"></a><!-- doxytag: member="00100_tlApiGenerateKeyPair.cpp::TestCase_BC00100_TooShortBuffer1024Bits_PrivateMod" ref="ga2841b40246a378a8b419d85432441486" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_BC00100_TooShortBuffer1024Bits_PrivateMod </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>Involved components running and functioning </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>tlApiGenerateKeyPair </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>Call tlApiGenerateKeyPair RSA 1024 bit with too short buffer for private modulus. </dd></dl>
<dl class="user"><dt><b>Verification:</b></dt><dd>Function returns E_TLAPI_CR_WRONG_OUPUT_SIZE.<br/>
 Test output is OK. </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>Secure_API_Crypto.00100_tlApiGenerateKeyPair.BC00100_TooShortBuffer1024Bits_PrivateMod </dd></dl>

</div>
</div>
<a class="anchor" id="gac1ab2275b06f3e3f16aca57c7bdb6ea9"></a><!-- doxytag: member="00100_tlApiGenerateKeyPair.cpp::TestCase_GC00100_Rsa2048Bit" ref="gac1ab2275b06f3e3f16aca57c7bdb6ea9" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00100_Rsa2048Bit </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>Involved components running and functioning </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>tlApiGenerateKeyPair </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>TLC makes Trusted Application call an tlApiGenerateKeyPair RSA for 2048 bit key. </dd></dl>
<dl class="user"><dt><b>Verification:</b></dt><dd>Function returns TLAPI_OK.<br/>
 Test output is OK. </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>Secure_API_Crypto.00100_tlApiGenerateKeyPair.GC00100_Rsa2048Bit </dd></dl>

</div>
</div>
<a class="anchor" id="ga32ccbc27489f3cc39f4dce5ee0c7b8bd"></a><!-- doxytag: member="00100_tlApiGenerateKeyPair.cpp::TestCase_BC00100_TooShortBuffer2048Bits_PrivateE" ref="ga32ccbc27489f3cc39f4dce5ee0c7b8bd" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_BC00100_TooShortBuffer2048Bits_PrivateE </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>Involved components running and functioning </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>tlApiGenerateKeyPair </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>Call tlApiGenerateKeyPair RSA 2048 bit with too short buffer (0) for private exponent. </dd></dl>
<dl class="user"><dt><b>Verification:</b></dt><dd>Function returns E_TLAPI_CR_WRONG_OUPUT_SIZE.<br/>
 Test output is OK. </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>Secure_API_Crypto.00100_tlApiGenerateKeyPair.BC00100_TooShortBuffer2048Bits_PrivateE </dd></dl>

</div>
</div>
<a class="anchor" id="gaf3574f131bbc70dd3e1c92318f4dd93c"></a><!-- doxytag: member="00100_tlApiGenerateKeyPair.cpp::TestCase_BC00100_TooShortBuffer_PublicModulus" ref="gaf3574f131bbc70dd3e1c92318f4dd93c" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_BC00100_TooShortBuffer_PublicModulus </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>Involved components running and functioning </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>tlApiGenerateKeyPair </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>Call tlApiGenerateKeyPair RSA 1024 bit with too short buffer for public Exponent. </dd></dl>
<dl class="user"><dt><b>Verification:</b></dt><dd>Function returns E_TLAPI_CR_WRONG_OUPUT_SIZE.<br/>
 Test output is OK. </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>Secure_API_Crypto.00100_tlApiGenerateKeyPair.BC00100_TooShortBuffer_PublicModulus </dd></dl>

</div>
</div>
<a class="anchor" id="gafb73e4f5ccfd63dc9c25f3eb662ab561"></a><!-- doxytag: member="00100_tlApiGenerateKeyPair.cpp::TestCase_BC00100_TooShortBuffer_PublicExponent" ref="gafb73e4f5ccfd63dc9c25f3eb662ab561" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_BC00100_TooShortBuffer_PublicExponent </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>Involved components running and functioning </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>tlApiGenerateKeyPair </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>Call tlApiGenerateKeyPair RSA 1024 bit with too short buffer for public Exponent. </dd></dl>
<dl class="user"><dt><b>Verification:</b></dt><dd>Function returns E_TLAPI_CR_WRONG_OUPUT_SIZE.<br/>
 Test output is OK. </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>Secure_API_Crypto.00100_tlApiGenerateKeyPair.BC00100_TooShortBuffer_PublicExponent </dd></dl>

</div>
</div>
<a class="anchor" id="ga1923dac5da5be0afb3f29e22abec4657"></a><!-- doxytag: member="00100_tlApiGenerateKeyPair.cpp::TestCase_BC00100_TooShortBuffer_PublicE" ref="ga1923dac5da5be0afb3f29e22abec4657" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_BC00100_TooShortBuffer_PublicE </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>Involved components running and functioning </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>tlApiGenerateKeyPair </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>Call tlApiGenerateKeyPair RSA 1024 bit with too short buffer for public exponent. </dd></dl>
<dl class="user"><dt><b>Verification:</b></dt><dd>Function returns E_TLAPI_CR_WRONG_OUPUT_SIZE.<br/>
 Test output is OK. </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>Secure_API_Crypto.00100_tlApiGenerateKeyPair.BC00100_TooShortBuffer_PublicE </dd></dl>

</div>
</div>
<a class="anchor" id="gaa6c15e9c54d501dfc88369d22c4b2bca"></a><!-- doxytag: member="00100_tlApiGenerateKeyPair.cpp::TestCase_BC00100_ZeroValueIn_PublicE" ref="gaa6c15e9c54d501dfc88369d22c4b2bca" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_BC00100_ZeroValueIn_PublicE </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>Involved components running and functioning </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>tlApiGenerateKeyPair </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>Call tlApiGenerateKeyPair RSA 1024 bit with too short buffer for public exponent. </dd></dl>
<dl class="user"><dt><b>Verification:</b></dt><dd>Function returns E_TLAPI_CR_WRONG_OUPUT_SIZE.<br/>
 Test output is OK. </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>Secure_API_Crypto.00100_tlApiGenerateKeyPair.BC00100_ZeroValueIn_PublicE </dd></dl>

</div>
</div>
</div>
        <br><br>
        <hr>
        <small><em>Copyright (c) 2013-2015 TRUSTONIC LIMITED - TRUSTONIC CONFIDENTIAL</em></small>
    </body>
</html>
